/*
 * https://github.com/JeffJetton/apple1-15-puzzle
 *
 * MIT License
 *
 * Copyright (c) 2020 Jeff Jetton
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

tapes['15 Puzzle'] = {
    script: 'C100R\n0300.06E5R\n0300R\n',
    tracks: [[
        0xD8, 0xA2, 0xFF, 0x9A, 0xA9, 0x2A, 0x85, 0x1A,
        0x20, 0x46, 0x04, 0xA9, 0x7C, 0x85, 0x18, 0xA9,
        0x05, 0x85, 0x19, 0x20, 0xAD, 0x03, 0x20, 0xCB,
        0x03, 0xD0, 0x0E, 0xA9, 0xAF, 0x85, 0x18, 0xA9,
        0x05, 0x85, 0x19, 0x20, 0xAD, 0x03, 0x20, 0xE8,
        0x03, 0x20, 0x10, 0x05, 0x20, 0x5B, 0x04, 0x20,
        0xE8, 0x03, 0x20, 0x0C, 0x04, 0x20, 0x1C, 0x04,
        0x20, 0xBB, 0x03, 0xC9, 0x51, 0xD0, 0x03, 0x4C,
        0x9A, 0x03, 0x20, 0x8F, 0x04, 0xA5, 0x11, 0xC9,
        0x10, 0xD0, 0x0D, 0xC6, 0x1D, 0xD0, 0x03, 0x20,
        0xE8, 0x03, 0x20, 0x29, 0x04, 0x4C, 0x38, 0x03,
        0x20, 0xE8, 0x03, 0x20, 0xA8, 0x03, 0x20, 0xFD,
        0x04, 0xF0, 0x03, 0x4C, 0x32, 0x03, 0x20, 0x34,
        0x04, 0xA9, 0x9A, 0x85, 0x18, 0xA9, 0x06, 0x85,
        0x19, 0x20, 0xAD, 0x03, 0xA5, 0x15, 0x20, 0xEF,
        0xFF, 0xA9, 0xB0, 0x85, 0x18, 0xA9, 0x06, 0x85,
        0x19, 0x20, 0xAD, 0x03, 0x20, 0x1C, 0x04, 0xA9,
        0xC8, 0x85, 0x18, 0xA9, 0x06, 0x85, 0x19, 0x20,
        0xAD, 0x03, 0x20, 0xCB, 0x03, 0xD0, 0x03, 0x4C,
        0x29, 0x03, 0xA9, 0xDD, 0x85, 0x18, 0xA9, 0x06,
        0x85, 0x19, 0x20, 0xAD, 0x03, 0x4C, 0x1F, 0xFF,
        0xA9, 0x0D, 0x4C, 0xEF, 0xFF, 0xA0, 0x00, 0xB1,
        0x18, 0xF0, 0x07, 0x20, 0xEF, 0xFF, 0xC8, 0x4C,
        0xAF, 0x03, 0x60, 0x20, 0xDE, 0x03, 0xAD, 0x11,
        0xD0, 0x10, 0xF8, 0xAD, 0x10, 0xD0, 0x29, 0x7F,
        0x4C, 0xEF, 0xFF, 0x20, 0xBB, 0x03, 0xC9, 0x4E,
        0xF0, 0x0A, 0xC9, 0x59, 0xF0, 0x07, 0x20, 0x29,
        0x04, 0x4C, 0xCB, 0x03, 0xBA, 0x60, 0xA5, 0x1A,
        0x0A, 0x90, 0x02, 0x49, 0xA9, 0x85, 0x1A, 0x60,
        0x20, 0xA8, 0x03, 0x20, 0xA8, 0x03, 0xA2, 0x00,
        0xA0, 0x04, 0xB5, 0x00, 0x20, 0xEF, 0xFF, 0x88,
        0xD0, 0x05, 0xA0, 0x04, 0x20, 0xA8, 0x03, 0xE8,
        0xE0, 0x10, 0xD0, 0xEE, 0x20, 0xA8, 0x03, 0xA9,
        0x09, 0x85, 0x1D, 0x60, 0xF8, 0xA5, 0x16, 0x18,
        0x69, 0x01, 0x85, 0x16, 0xA5, 0x17, 0x69, 0x00,
        0x85, 0x17, 0xD8, 0x60, 0xA5, 0x17, 0xF0, 0x03,
        0x20, 0xDC, 0xFF, 0xA5, 0x16, 0x20, 0xDC, 0xFF,
        0x60, 0xA9, 0x7C, 0x85, 0x18, 0xA9, 0x06, 0x85,
        0x19, 0x4C, 0xAD, 0x03, 0xA5, 0x1A, 0x29, 0x38,
        0xAA, 0xBD, 0x3A, 0x05, 0xF0, 0x07, 0x20, 0xEF,
        0xFF, 0xE8, 0x4C, 0x39, 0x04, 0x60, 0xA9, 0x20,
        0x85, 0x0F, 0xA9, 0x0F, 0x85, 0x12, 0xA2, 0x0F,
        0xA0, 0x4F, 0x98, 0x9D, 0xFF, 0xFF, 0x88, 0xCA,
        0xD0, 0xF8, 0x60, 0xA9, 0x00, 0x85, 0x16, 0x85,
        0x17, 0x85, 0x1C, 0xA6, 0x15, 0xBD, 0x04, 0x05,
        0x85, 0x1B, 0x20, 0xDE, 0x03, 0xA5, 0x1A, 0x29,
        0x0F, 0x18, 0x69, 0x41, 0xC5, 0x1C, 0xF0, 0xF2,
        0x20, 0x8F, 0x04, 0xA5, 0x11, 0xC9, 0x10, 0xF0,
        0xE9, 0xA5, 0x10, 0x85, 0x1C, 0xC6, 0x1B, 0xD0,
        0xE1, 0x20, 0xFD, 0x04, 0xF0, 0xCD, 0x60, 0x85,
        0x10, 0xC9, 0x20, 0xF0, 0x3C, 0xA2, 0x00, 0xB5,
        0x00, 0xC5, 0x10, 0xF0, 0x08, 0xE8, 0xE0, 0x10,
        0xD0, 0xF5, 0x4C, 0xD1, 0x04, 0x86, 0x11, 0x8A,
        0x29, 0x0C, 0x85, 0x13, 0xA5, 0x12, 0x29, 0x0C,
        0xC5, 0x13, 0xD0, 0x10, 0x8A, 0x38, 0xE5, 0x12,
        0x10, 0x05, 0xA9, 0xFF, 0x4C, 0xE3, 0x04, 0xA9,
        0x01, 0x4C, 0xE3, 0x04, 0x8A, 0x29, 0x03, 0x85,
        0x13, 0xA5, 0x12, 0x29, 0x03, 0xC5, 0x13, 0xF0,
        0x05, 0xA2, 0x10, 0x86, 0x11, 0x60, 0x8A, 0x38,
        0xE5, 0x12, 0x10, 0x05, 0xA9, 0xFC, 0x4C, 0xE3,
        0x04, 0xA9, 0x04, 0x85, 0x14, 0xA5, 0x12, 0xAA,
        0x18, 0x65, 0x14, 0xA8, 0xB9, 0x00, 0x00, 0x95,
        0x00, 0xA9, 0x20, 0x99, 0x00, 0x00, 0x84, 0x12,
        0xC4, 0x11, 0xD0, 0xE9, 0x60, 0xA2, 0x0F, 0xA9,
        0x4F, 0x85, 0x13, 0xBD, 0xFF, 0xFF, 0xC5, 0x13,
        0xD0, 0x05, 0xC6, 0x13, 0xCA, 0xD0, 0xF4, 0x60,
        0xA9, 0x61, 0x85, 0x18, 0xA9, 0x06, 0x85, 0x19,
        0x20, 0xAD, 0x03, 0x20, 0xBB, 0x03, 0x85, 0x15,
        0xC9, 0x31, 0x10, 0x03, 0x4C, 0x2F, 0x05, 0xA9,
        0x35, 0x38, 0xE5, 0x15, 0x30, 0x01, 0x60, 0x20,
        0x29, 0x04, 0x4C, 0x1B, 0x05, 0x03, 0x09, 0x13,
        0x23, 0xFF, 0x48, 0x4F, 0x4F, 0x52, 0x41, 0x59,
        0x21, 0x00, 0x48, 0x55, 0x5A, 0x5A, 0x41, 0x48,
        0x21, 0x00, 0x57, 0x4F, 0x4F, 0x48, 0x4F, 0x4F,
        0x21, 0x00, 0x59, 0x49, 0x50, 0x50, 0x49, 0x45,
        0x21, 0x00, 0x53, 0x57, 0x45, 0x45, 0x54, 0x21,
        0x00, 0x00, 0x43, 0x4F, 0x4F, 0x4C, 0x21, 0x00,
        0x00, 0x00, 0x4E, 0x49, 0x43, 0x45, 0x21, 0x00,
        0x00, 0x00, 0x47, 0x41, 0x44, 0x5A, 0x4F, 0x4F,
        0x4B, 0x53, 0x21, 0x00, 0x0D, 0x0D, 0x31, 0x35,
        0x20, 0x50, 0x55, 0x5A, 0x5A, 0x4C, 0x45, 0x20,
        0x2D, 0x20, 0x42, 0x59, 0x20, 0x4A, 0x45, 0x46,
        0x46, 0x20, 0x4A, 0x45, 0x54, 0x54, 0x4F, 0x4E,
        0x0D, 0x0D, 0x49, 0x4E, 0x53, 0x54, 0x52, 0x55,
        0x43, 0x54, 0x49, 0x4F, 0x4E, 0x53, 0x20, 0x28,
        0x59, 0x2F, 0x4E, 0x29, 0x3F, 0x20, 0x00, 0x0D,
        0x0D, 0x54, 0x59, 0x50, 0x45, 0x20, 0x41, 0x20,
        0x4C, 0x45, 0x54, 0x54, 0x45, 0x52, 0x20, 0x54,
        0x48, 0x41, 0x54, 0x27, 0x53, 0x20, 0x4F, 0x4E,
        0x20, 0x54, 0x48, 0x45, 0x20, 0x53, 0x41, 0x4D,
        0x45, 0x20, 0x52, 0x4F, 0x57, 0x20, 0x4F, 0x52,
        0x0D, 0x43, 0x4F, 0x4C, 0x55, 0x4D, 0x4E, 0x20,
        0x41, 0x53, 0x20, 0x54, 0x48, 0x45, 0x20, 0x45,
        0x4D, 0x50, 0x54, 0x59, 0x20, 0x53, 0x50, 0x41,
        0x43, 0x45, 0x20, 0x54, 0x4F, 0x20, 0x53, 0x4C,
        0x49, 0x44, 0x45, 0x20, 0x54, 0x48, 0x41, 0x54,
        0x0D, 0x4C, 0x45, 0x54, 0x54, 0x45, 0x52, 0x20,
        0x28, 0x41, 0x4E, 0x44, 0x20, 0x41, 0x4E, 0x59,
        0x20, 0x49, 0x4E, 0x20, 0x42, 0x45, 0x54, 0x57,
        0x45, 0x45, 0x4E, 0x29, 0x20, 0x54, 0x4F, 0x57,
        0x41, 0x52, 0x44, 0x20, 0x54, 0x48, 0x45, 0x0D,
        0x53, 0x50, 0x41, 0x43, 0x45, 0x2E, 0x20, 0x20,
        0x54, 0x59, 0x50, 0x45, 0x20, 0x51, 0x20, 0x54,
        0x4F, 0x20, 0x51, 0x55, 0x49, 0x54, 0x2E, 0x0D,
        0x0D, 0x53, 0x4F, 0x4C, 0x56, 0x45, 0x44, 0x20,
        0x50, 0x55, 0x5A, 0x5A, 0x4C, 0x45, 0x20, 0x4C,
        0x4F, 0x4F, 0x4B, 0x53, 0x20, 0x4C, 0x49, 0x4B,
        0x45, 0x20, 0x54, 0x48, 0x49, 0x53, 0x3A, 0x0D,
        0x00, 0x0D, 0x0D, 0x44, 0x49, 0x46, 0x46, 0x49,
        0x43, 0x55, 0x4C, 0x54, 0x59, 0x20, 0x4C, 0x45,
        0x56, 0x45, 0x4C, 0x20, 0x28, 0x31, 0x2D, 0x35,
        0x29, 0x3F, 0x20, 0x00, 0x0D, 0x49, 0x4E, 0x56,
        0x41, 0x4C, 0x49, 0x44, 0x20, 0x43, 0x48, 0x4F,
        0x49, 0x43, 0x45, 0x2E, 0x20, 0x20, 0x54, 0x52,
        0x59, 0x20, 0x41, 0x47, 0x41, 0x49, 0x4E, 0x3A,
        0x20, 0x00, 0x20, 0x20, 0x59, 0x4F, 0x55, 0x20,
        0x53, 0x4F, 0x4C, 0x56, 0x45, 0x44, 0x20, 0x41,
        0x20, 0x4C, 0x45, 0x56, 0x45, 0x4C, 0x20, 0x00,
        0x20, 0x50, 0x55, 0x5A, 0x5A, 0x4C, 0x45, 0x21,
        0x0D, 0x0D, 0x54, 0x4F, 0x54, 0x41, 0x4C, 0x20,
        0x4D, 0x4F, 0x56, 0x45, 0x53, 0x3A, 0x20, 0x00,
        0x0D, 0x0D, 0x50, 0x4C, 0x41, 0x59, 0x20, 0x41,
        0x47, 0x41, 0x49, 0x4E, 0x20, 0x28, 0x59, 0x2F,
        0x4E, 0x29, 0x3F, 0x20, 0x00, 0x0D, 0x0D, 0x42,
        0x59, 0x45, 0x21, 0x0D, 0x0D, 0x00
    ]]
};
